=== debian/control ===
Source: trojan
Section: web
Priority: optional
Maintainer: GreaterFire <GreaterFire@protonmail.com>
Build-Depends: debhelper (>= 11), cmake, libboost-system-dev, libboost-program-options-dev, libssl-dev, default-libmysqlclient-dev, openssl, python3, curl
Standards-Version: 4.2.1.1
Vcs-Browser: https://salsa.debian.org/debian/trojan
Vcs-Git: https://salsa.debian.org/debian/trojan.git
Homepage: https://github.com/trojan-gfw/trojan

Package: trojan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ca-certificates
Suggests: default-mysql-server
Description: fast and lightweight proxy that helps you bypass firewalls
 Trojan features multiple protocols over TLS to avoid both active/passive
 detections and ISP QoS limitations. It tries to hide a proxy service
 behind a normal HTTPS service. Trojan claims to be unidentifiable.
