=== debian/tests/control ===
Tests: smoke
Depends: trojan, git, openssl, python3, curl
