## trojan 1.8.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
     src/session.cpp
     src/socks5address.cpp
     src/ssldefaults.cpp
+    src/sslsession.cpp
     src/trojanrequest.cpp
     src/udppacket.cpp
     src/version.cpp)
