## trojan 1.8.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,6 +52,7 @@
     include(GNUInstallDirs)
     install(TARGETS trojan DESTINATION ${CMAKE_INSTALL_BINDIR})
     install(FILES examples/server.json-example DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/trojan RENAME config.json)
+    add_definitions(-DDEFAULT_CONFIG="${CMAKE_INSTALL_FULL_SYSCONFDIR}/trojan/config.json")
     install(FILES docs/trojan.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
     install(DIRECTORY docs/ DESTINATION ${CMAKE_INSTALL_DOCDIR} FILES_MATCHING PATTERN "*.md")
     install(DIRECTORY examples DESTINATION ${CMAKE_INSTALL_DOCDIR} FILES_MATCHING PATTERN "*.json-example")
