=== debian/changelog ===
trojan (1.8.1-1) unstable; urgency=medium

  * New upstream release 1.8.1.
  * Fix lintian tag systemd-service-file-missing-documentation-key.

 -- GreaterFire <GreaterFire@protonmail.com>  Fri, 05 Oct 2018 19:21:55 +0000
