## trojan 1.9.0

=== debian/changelog ===
trojan (1.9.0-1) unstable; urgency=medium

  * New upstream release 1.9.0.

 -- GreaterFire <GreaterFire@protonmail.com>  Sat, 20 Oct 2018 03:34:36 +0000
