## trojan 1.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.1)
+cmake_minimum_required(VERSION 3.7.2)
 project(trojan)
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/")
 if(NOT CMAKE_BUILD_TYPE)
@@ -36,12 +36,22 @@
 find_package(OpenSSL 1.0.2 REQUIRED)
 include_directories(${OPENSSL_INCLUDE_DIR})
 target_link_libraries(trojan ${OPENSSL_LIBRARIES})
+if(OPENSSL_VERSION VERSION_GREATER_EQUAL 1.1.1)
+    option(ENABLE_SSL_KEYLOG "Build with SSL KeyLog support" ON)
+    if(ENABLE_SSL_KEYLOG)
+        add_definitions(-DENABLE_SSL_KEYLOG)
+    endif()
+endif()
 option(ENABLE_MYSQL "Build with MySQL support" ON)
 if(ENABLE_MYSQL)
     find_package(MySQL REQUIRED)
     include_directories(${MYSQL_INCLUDE_DIR})
     target_link_libraries(trojan ${MYSQL_LIBRARIES})
     add_definitions(-DENABLE_MYSQL)
+endif()
+option(FORCE_TCP_FASTOPEN "Force build with TCP Fast Open support" OFF)
+if(FORCE_TCP_FASTOPEN)
+    add_definitions(-DTCP_FASTOPEN=23 -DTCP_FASTOPEN_CONNECT=30)
 endif()
 if(WIN32)
     target_link_libraries(trojan wsock32 ws2_32 crypt32)
