=== debian/changelog ===
trojan (1.10.0-3) unstable; urgency=high

  * Fix a serious memory bug: boost::asio::async_write doesn't copy the data in
    the buffer, so the underlying data have to remain available until the
    callback is called.

 -- GreaterFire <GreaterFire@protonmail.com>  Tue, 23 Apr 2019 16:55:30 +0000

trojan (1.10.0-2) unstable; urgency=high

  * Fix a file descriptor leak when the remote endpoint closes the TCP
    connection before the local SSL session is closed.

 -- GreaterFire <GreaterFire@protonmail.com>  Sun, 17 Mar 2019 06:01:42 +0000

trojan (1.10.0-1) unstable; urgency=medium

  * New upstream release 1.10.0.

 -- GreaterFire <GreaterFire@protonmail.com>  Tue, 15 Jan 2019 04:19:22 +0000
