=== debian/changelog ===
trojan (1.12.3-1build1) eoan; urgency=medium

  * No change rebuild for libmysqlclient21.

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 12 Aug 2019 02:06:42 +0000

trojan (1.12.3-1) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump debhelper compat to v12.
    + Bump Standards-Version to 4.4.0.

  [ GreaterFire ]
  * New upstream release 1.12.3.

 -- Boyuan Yang <byang@debian.org>  Sun, 07 Jul 2019 11:54:48 -0400
