## trojan 1.14.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,13 +43,18 @@
     add_definitions(-DBOOST_DATE_TIME_NO_LIB)
 endif()
 
-find_package(OpenSSL 1.0.2 REQUIRED)
+find_package(OpenSSL 1.1.0 REQUIRED)
 include_directories(${OPENSSL_INCLUDE_DIR})
 target_link_libraries(trojan ${OPENSSL_LIBRARIES})
 if(OPENSSL_VERSION VERSION_GREATER_EQUAL 1.1.1)
     option(ENABLE_SSL_KEYLOG "Build with SSL KeyLog support" ON)
     if(ENABLE_SSL_KEYLOG)
         add_definitions(-DENABLE_SSL_KEYLOG)
+    endif()
+
+    option(ENABLE_TLS13_CIPHERSUITES "Build with TLS1.3 Ciphersuites" ON)
+    if(ENABLE_TLS13_CIPHERSUITES)
+        add_definitions(-DENABLE_TLS13_CIPHERSUITES)
     endif()
 endif()
 
@@ -71,6 +76,17 @@
     if(ENABLE_NAT)
         add_definitions(-DENABLE_NAT)
     endif()
+
+    option(ENABLE_REUSE_PORT "Build with REUSE_PORT support" ON)
+    if(ENABLE_REUSE_PORT)
+        add_definitions(-DENABLE_REUSE_PORT)
+    endif()
+endif()
+
+if(APPLE)
+    find_library(CoreFoundation CoreFoundation)
+    find_library(Security Security)
+    target_link_libraries(trojan ${CoreFoundation} ${Security})
 endif()
 
 if(WIN32)
