=== debian/changelog ===
trojan (1.14.0-2) unstable; urgency=medium

  * Team upload.
  * Rebuild to circumvent piuparts bug and get the package
    migrated to Testing.
  * debian/control: Build-depend on python3:any. 

 -- Boyuan Yang <byang@debian.org>  Sat, 11 Jan 2020 18:38:45 -0500

trojan (1.14.0-1) unstable; urgency=medium

  * New upstream release 1.14.0.

 -- GreaterFire <GreaterFire@protonmail.com>  Fri, 27 Dec 2019 23:19:07 +0000

trojan (1.13.0-1) unstable; urgency=medium

  * New upstream release 1.13.0.

 -- GreaterFire <GreaterFire@protonmail.com>  Tue, 01 Oct 2019 20:54:43 +0000
