=== debian/control ===
--- 
+++ 
@@ -2,11 +2,12 @@
 Section: web
 Priority: optional
 Maintainer: GreaterFire <GreaterFire@protonmail.com>
-Build-Depends: debhelper-compat (= 12), cmake (>= 3.7.2), libboost-system-dev, libboost-program-options-dev, libssl-dev, default-libmysqlclient-dev, openssl, python3, curl
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 12), cmake (>= 3.7.2), libboost-system-dev, libboost-program-options-dev, libssl-dev, default-libmysqlclient-dev, openssl, python3:any, curl, netcat-openbsd
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/debian/trojan
 Vcs-Git: https://salsa.debian.org/debian/trojan.git
 Homepage: https://github.com/trojan-gfw/trojan
+Rules-Requires-Root: no
 
 Package: trojan
 Architecture: any
