## trojan 1.14.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -52,7 +52,7 @@
         add_definitions(-DENABLE_SSL_KEYLOG)
     endif()
 
-    option(ENABLE_TLS13_CIPHERSUITES "Build with TLS1.3 Ciphersuites" ON)
+    option(ENABLE_TLS13_CIPHERSUITES "Build with TLS1.3 ciphersuites support" ON)
     if(ENABLE_TLS13_CIPHERSUITES)
         add_definitions(-DENABLE_TLS13_CIPHERSUITES)
     endif()
@@ -77,7 +77,7 @@
         add_definitions(-DENABLE_NAT)
     endif()
 
-    option(ENABLE_REUSE_PORT "Build with REUSE_PORT support" ON)
+    option(ENABLE_REUSE_PORT "Build with SO_REUSEPORT support" ON)
     if(ENABLE_REUSE_PORT)
         add_definitions(-DENABLE_REUSE_PORT)
     endif()
