=== debian/changelog ===
trojan (1.14.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 26 Jan 2020 00:24:02 -0500

trojan (1.14.1-1) unstable; urgency=medium

  * New upstream release 1.14.1.

 -- GreaterFire <GreaterFire@protonmail.com>  Fri, 24 Jan 2020 06:50:58 +0000
