## trojan 1.15.1

=== debian/changelog ===
trojan (1.15.1-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- GreaterFire <GreaterFire@protonmail.com>  Wed, 25 Mar 2020 05:43:29 +0000

trojan (1.15.1-1) unstable; urgency=medium

  * New upstream release 1.15.1.

 -- GreaterFire <GreaterFire@protonmail.com>  Wed, 25 Mar 2020 05:43:28 +0000

trojan (1.15.0-1) unstable; urgency=medium

  * New upstream release 1.15.0.

 -- GreaterFire <GreaterFire@protonmail.com>  Mon, 23 Mar 2020 23:37:46 +0000
