=== debian/changelog ===
trojan (1.16.0-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:27:08 +1100

trojan (1.16.0-1build4) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 05 Mar 2024 02:07:46 +0000

trojan (1.16.0-1build3) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:57:03 +0100

trojan (1.16.0-1build2) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Dec 2021 00:21:44 +0000

trojan (1.16.0-1build1) hirsute; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 13:13:17 +0100

trojan (1.16.0-1) unstable; urgency=medium

  * New upstream release 1.16.0.

 -- GreaterFire <GreaterFire@protonmail.com>  Fri, 12 Jun 2020 19:23:01 +0000
