=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: trojan
 Section: web
 Priority: optional
-Maintainer: GreaterFire <GreaterFire@protonmail.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: GreaterFire <GreaterFire@protonmail.com>
 Build-Depends: debhelper-compat (= 12), cmake (>= 3.7.2), libboost-system-dev, libboost-program-options-dev, libssl-dev, default-libmysqlclient-dev, openssl, python3:any, curl, netcat-openbsd
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/debian/trojan
 Vcs-Git: https://salsa.debian.org/debian/trojan.git
 Homepage: https://github.com/trojan-gfw/trojan
